<?xml version="1.0" encoding="UTF-8"?>

<odoo>

    <record id="tablet_application_tree_view" model="ir.ui.view">
        <field name="name">tablet.application.tree.view</field>
        <field name="model">tablet.application</field>
        <field name="arch" type="xml">
            <tree string="tablet Information"
                decoration-primary="state == 'confirm'" 
                decoration-info="state == 'approve'" 
                decoration-danger="state == 'cancel'" 
                decoration-success="state == 'paid'"
            >
                <field name='reg_no'/>
                <field name="partner_id"/>
                <field name="state"/>
            </tree>
        </field>
    </record>

    <record id="tablet_application_search_view" model="ir.ui.view">
        <field name="name">tablet.application.search.view</field>
        <field name="model">tablet.application</field>
        <field name="arch" type="xml">
            <search string="tablet Search">
                <group expand="1" string="Group by ..">
                    <filter name="State" context="{'group_by':'state'}"/>
                </group>
                <field name="reg_no" filter_domain="[('reg_no','ilike',self)]"/>
            </search>
        </field>

    </record>

    <record id="tablet_application_form_view" model="ir.ui.view">
        <field name="name">tablet.application.form.view</field>
        <field name="model">tablet.application</field>
        <field name="arch" type="xml">
            <form>
                <header>
                    <button name="action_confirm" string="Submit" type="object" class="oe_highlight" attrs="{'invisible': [('state', 'not in', ('draft'))]}"/>
                    <button name="action_approve" string="Approve" type="object" class="oe_highlight" attrs="{'invisible': [('state', 'not in', ('confirm'))]}"/>
                    <button name="action_reject" string="Reject" confirm="Are you sure want to reject this application ?" type="object" attrs="{'invisible': [('state', 'not in', ('confirm'))]}"/>
                    <button name="call_tablet_payment_wizard" string="Submit Payment" type="object" class="oe_highlight" attrs="{'invisible': ['|', ('state', 'not in', ('approve'))]}"/>
                    <field name="state" widget="statusbar" statusbar_visible="draft,confirm,paid,approve"/>
                </header>
                <sheet>
                    <label for="reg_no"/>
                    <h1>
                        <field name="reg_no" readonly="1"/>
                    </h1>
                    <group class="o_no_margin">
                        <group class="o_no_margin">
                            <field name="responsible_user_id" readonly="1" force_save="1"/>
                            <field name="partner_id" required="1" context="{'form_view_ref': 'v11_tpstst_custom.membership_members_form_view', 'tree_view_ref': 'v11_tpstst_custom.membership_members_tree_view'}" string="Member" domain="[('member', '=', True), ('membership_type', '=', 'associate')]" options='{"no_open": True, "no_create": True}' attrs="{'readonly': [('state', 'not in', ('draft'))]}"/>
                            <field name='product_id' required="1" context="{'form_view_ref': 'v11_tpstst_custom.tablet_product_form_view', 'tree_view_ref': 'v11_tpstst_custom.tablet_product_tree_view'}" string="Location" options='{"no_create": True}' attrs="{'readonly': [('state', 'not in', ('draft'))]}"/>
                            <field name="tablet_applied_name_reg_no" invisible="1"/>
                            <field name="journal_id" invisible="1"/>
                        </group>
                        <group class="o_no_margin">
                            <field name="reg_date" readonly="1"/>
                            <field name="product_template_id" invisible="1"/>
                            <field name="level_id" required="1" string="Allotment Area" domain="[('is_sold', '=', False), ('product_template_id', '=', product_template_id)]" options='{"no_create": True}' attrs="{'readonly': [('state', 'not in', ('draft'))]}"/>
                            <field name="unit_id" domain="[('is_sold', '=', False), ('side_id', '=', level_id)]" required="0" options='{"no_create": True}' attrs="{'readonly': [('state', 'not in', ('draft', 'confirm'))]}"/>
                            <field name="unit_level_id" domain="[('is_sold', '=', False), ('slot_left','>', 0), ('unit_id', '=', unit_id)]" required="0" options='{"no_create": True}' attrs="{'readonly': [('state', 'not in', ('draft', 'confirm'))]}"/>
                        </group>
                    </group>
                    <notebook>
                        <page name='tablet_particular_info' string='Tablet Applied for in Name of' colspan='4'>
                            <field name="tablet_ids" nolabel="1" required='1' options="{&quot;no_open&quot;: True, &quot;no_create&quot;: True}"/>
                        </page>
                        <page name="signature_page" string="Agreement">
                            <div>
                                <field name="accept_term_and_condition" class="oe_inline" nolabel="1" attrs="{'readonly': [('state', 'not in', ('draft'))]}"/>
                                <label for="accept_term_and_condition" class="oe_inline" string="I'm willing to accept"/>
                                <field name="term_and_condition_id" class="oe_inline" nolabel="1" readonly="1" force_save="1"/>
                            </div>
                            <field name="signature" widget="signature" nolabel="1" attrs="{'readonly': [('state', 'not in', ('draft'))]}" required="1"/>
                        </page>
                        <page string="Payment">
                            <group col="4" colspan="4" string="Funds">
                                <field name="funds_id" attrs="{'readonly': [('state', 'not in', ('draft'))]}"/>
                            </group>
                            <group col="6" colspan="6" string="Fee Details">
                                <field name="amount_untaxed" force_save="1" readonly="1"/>
                                <field name="amount_tax" force_save="1" readonly="1"/>
                                <field name="amount_total" force_save="1" readonly="1"/>
                            </group>
                            <group col="4" colspan="4" string="Payment Received">
                                <field name="move_line_ids" nolabel="1" colspan="4" readonly='1' widget='one2many_list'>
                                    <tree string="Journal Entries">
                                        <field name="date"/>
                                        <field name="move_id"/>
                                        <field name="name"/>
                                        <field name="journal_id"/>
                                        <field name="account_id"/>
                                        <field name="debit"/>
                                        <field name="credit"/>
                                    </tree>
                                </field>
                            </group>
                        </page>
                    </notebook>
                </sheet>
                <div class="oe_chatter">
                    <field name="message_follower_ids" widget="mail_followers"/>
                    <field name="message_ids" widget="mail_thread"/>
                </div>
            </form>
        </field>
    </record>

    <record model="ir.ui.view" id="tablet_application_kanban_view">
        <field name="name">tablet.application.kanban.view</field>
        <field name="model">tablet.application</field>
        <field name="arch" type="xml">
            <kanban class="o_res_partner_kanban">
                <field name='reg_no'/>
                <field name="reg_date"/>
                <field name="partner_id"/>
                <field name="product_id"/>
                <field name="level_id"/>
                <field name="state"/>
                <templates>
                    <t t-name="kanban-box">
                        <div class="oe_kanban_global_click o_res_partner_kanban">
                            <div class="oe_kanban_details">
                                <strong class="o_kanban_record_title oe_partner_heading">
                                    <field name="reg_no"/>
                                </strong>
                                <div class="o_kanban_tags_section oe_kanban_partner_categories"/>
                                    <ul>
                                        <li>
                                            <field name='partner_id'/>
                                        </li>
                                        <li>
                                            <field name='product_id'/>
                                        </li>
                                        <li>
                                            <field name='level_id'/>
                                        </li>
                                        <li>
                                            <field name='state'/>
                                        </li>
                                    </ul>
                                <div class="oe_kanban_partner_links"/>
                            </div>
                        </div>
                    </t>
                </templates>
            </kanban>
        </field>
    </record>

    <record id="action_tablet_application" model="ir.actions.act_window">
        <field name="name">Tablet Application Form</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">tablet.application</field>
        <field name="view_type">form</field>
        <field name="view_mode">kanban,tree,form</field>
        <field name="search_view_id" ref="tablet_application_search_view"/>
        <field name="help" type="html">
            <p class="oe_view_nocontent_create">
                Click to add a record in your tablet application form directory.
            </p>
            <p>
                Tigernix helps you easily track all activities related to
                a customer: discussions, history of business opportunities,
                documents, etc.
            </p>
        </field>
    </record>

    <record id="action_tablet_application_form_view_kanban" model="ir.actions.act_window.view">
        <field name="view_mode">kanban</field>
        <field name="view_id" ref="tablet_application_kanban_view"/>
        <field name="act_window_id" ref="action_tablet_application"/>
    </record>
    <record id="action_tablet_application_form_view_tree" model="ir.actions.act_window.view">
        <field name="view_mode">tree</field>
        <field name="view_id" ref="tablet_application_tree_view"/>
        <field name="act_window_id" ref="action_tablet_application"/>
    </record>

    <record id="action_tablet_application_form_view_form" model="ir.actions.act_window.view">
        <field name="view_mode">form</field>
        <field name="view_id" ref="tablet_application_form_view"/>
        <field name="act_window_id" ref="action_tablet_application"/>
    </record>


    <!-- Tablet List -->

    <record id="tablet_list_tree_view" model="ir.ui.view">
        <field name="name">tablet.list.tree.view</field>
        <field name="model">tablet.list</field>
        <field name="arch" type="xml">
            <tree string="tablet Information">
                <field name='reg_no'/>
                <field name='name'/>
                <field name='chinese_name'/>
                <field name='relationship_id'/>
                <field name='status'/>
            </tree>
        </field>
    </record>

    <record id="tablet_list_search_view" model="ir.ui.view">
        <field name="name">tablet.list.search.view</field>
        <field name="model">tablet.list</field>
        <field name="arch" type="xml">
            <search string="tablet Search">
                <field name="name" filter_domain="[('reg_no','ilike',self)]"/>
            </search>
        </field>

    </record>

    <record id="tablet_list_form_view" model="ir.ui.view">
        <field name="name">tablet.list.form.view</field>
        <field name="model">tablet.list</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                    <label for="reg_no"/>
                    <h1>
                        <field name="reg_no" readonly="1"/>
                    </h1>
                    <group>
                        <group>
                            <field name='name' required='1'/>
                            <field name='chinese_name' required="1"/>
                            <field name='relationship_id' required='1'/>
                        </group>
                        <group>
                            <field name='status' required='1'/>
                            <field name='birthdate' attrs="{'invisible': [('status', '!=', 'living')], 'required': [('status', '=', 'living')]}"/>
                            <field name='date_of_death' attrs="{'invisible': [('status', '!=', 'deceased')], 'required': [('status', '=', 'deceased')]}"/>
                            <field name='entry_year' attrs="{'invisible': [('status', '!=', 'deceased')]}"/>
                            <field name='passed_year' attrs="{'invisible': [('status', '!=', 'living')]}"/>
                            <field name='tablet_application_id' invisible='1'/>
                        </group>
                    </group>
                </sheet>
                <div class="oe_chatter">
                    <field name="message_follower_ids" widget="mail_followers"/>
                    <field name="message_ids" widget="mail_thread"/>
                </div>
            </form>
        </field>
    </record>

    <record id="action_tablet_list" model="ir.actions.act_window">
        <field name="name">Tablet List</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">tablet.list</field>
        <field name="view_type">form</field>
        <field name="view_mode">kanban,tree,form,calendar</field>
        <field name="search_view_id" ref="tablet_list_search_view"/>
        <field name="help" type="html">
            <p class="oe_view_nocontent_create">
                Click to add a record in your tablet tablet.list form directory.
            </p>
            <p>
                Tigernix helps you easily track all activities related to
                a customer: discussions, history of business opportunities,
                documents, etc.
            </p>
        </field>
    </record>

    <record id="action_tablet_list_form_view_tree" model="ir.actions.act_window.view">
        <field name="view_mode">tree</field>
        <field name="view_id" ref="tablet_list_tree_view"/>
        <field name="act_window_id" ref="action_tablet_list"/>
    </record>

    <record id="action_tablet_list_form_view_form" model="ir.actions.act_window.view">
        <field name="view_mode">form</field>
        <field name="view_id" ref="tablet_list_form_view"/>
        <field name="act_window_id" ref="action_tablet_list"/>
    </record>

</odoo>